(defun permut (li &aux zut)
	(if	(endp li) ()
	(cons (setq zut (nth (random (list-length li)) li))
		  (permut (remove zut li :count 1)))))

(defun ordr (li) (if
	(endp li) ()
	(cons (eval (cons #'max li))
		  (ordr (remove (eval (cons #'max li)) li :count 1)))))

(defun consli (forme cmpt)
	(if	(zerop cmpt) ()
	(cons (eval forme) (consli forme (1- cmpt)))))

(defun ana (note ton)
	(cond	((member note (tonique ton)) 'I)
			((member note (soudomi ton)) 'IV)
			((member note (dominan ton)) 'V)
			(t nil)))

(defun lyse (note ton)
	(list	(when	(member note (tonique ton))
					(+ 1 (-	(list-length (tonique ton))
							(list-length (member note (tonique ton))))))
			(when	(member note (soudomi ton))
					(+ 1 (-	(list-length (soudomi ton))
							(list-length (member note (soudomi ton))))))
			(when	(member note (dominan ton))
					(+ 1 (-	(list-length (dominan ton))
							(list-length (member note (dominan ton))))))))

(defun tonique (fond)
	(list fond (rem (+ 4 fond) 12) (rem (+ 7 fond) 12)))
(defun soudomi (fond)
	(list (rem (+ 5 fond) 12) (rem (+ 9 fond) 12) fond))
(defun dominan (fond)
	(list	(rem (+ 7 fond) 12) (rem (+ 11 fond) 12)
			(rem (+ 2 fond) 12) (rem (+ 5 fond) 12)))

(defun tstpi (c d)
	(if (zerop d) '(division impossible)
	(bon? (/ c d))))
(defun bon? (PI)
	(and (< 3.14159 PI) (> 3.14161 PI)))




(defun m>f (p &key (diapason 440.0) (temperament 12.0))
	(* diapason (expt 2.0 (/ (- p 69) temperament))))
(defun f>m (f)
	(nth-value 0 (round (+ 69 (* 12 (log (/ f 440) 2))) 0.01)))
