;;; ped.18.1 Exemples de dmonstration de filtres simples
;$$ ped.18.1 Beispiele fr einfache Filter                            [d..H.B.]
;++ ped.18.1 Simple Filters Demonstration Examples

;; N.B. : charger ped.18.1 !!!
;;        assertion = (1 (2 (3)) 4 (5 6) 7 8) cf. b du fichier ped.d/+clinit.cl
;$ N.B.: ped.18.1 laden!!!
;$       assertion = (1 (2 (3)) 4 (5 6) 7 8) vgl. b der Datei ped.d/+clinit.cl
;+ N.B.: load ped.18.1!!!
;+       assertion = (1 (2 (3)) 4 (5 6) 7 8) cf. b of file ped.d/+clinit.cl

;;   Les exemples de filtrages suivants donnent alternativement T et NIL.
;$   Die folgenden Filterbeispiele geben alternierend T oder NIL zurck.
;+   The following filter examples return alternately T and NIL.

(f2 '(1 (2 (_)) 4 (5 6) 7 8)                                                ;  _
    '(1 (2 (3)) 4 (5 6) 7 8) ) ; => t
(f2 '(1 (2 (3)) 4 (5 6) _  )
    '(1 (2 (3)) 4 (5 6) 7 8) ) ; => nil

(f2 '(1 (2 (?_ x (3) z)) 4 (5 6) 7 8)                                       ; ?_
    '(1 (2 (3)         ) 4 (5 6) 7 8) ) ; => t
(f2 '(1 (2 (3)) 4 (5 6) (?_ 7 8)  )
    '(1 (2 (3)) 4 (5 6) 7        8) ) ; => nil

(f2 '(1 (2 (3)) 4 ($)   7 8)                                                ;  $
    '(1 (2 (3)) 4 (5 6) 7 8) ) ; => t
(f2 '(1 (2 (3)) 4 (5 6) 7 8 $)
    '(1 (2 (3)) 4 (5 6) 7 8  ) ) ; => nil

(f2 '(1 (2 (3)) 4 (5 6) (?$ x 7 z 8 g))                                     ; ?$
    '(1 (2 (3)) 4 (5 6) 7 8           ) ) ; => t
(f2 '(1 (2 (3)) (?$ x 7 z 8 g) (5 6) 7 8)
    '(1 (2 (3)) 4              (5 6) 7 8) ) ; => nil

(f2 '(1 (2 (3)) 4 % (5 6) 7 8)                                              ;  %
    '(1 (2 (3)) 4   (5 6) 7 8) ) ; => t
(f2 '(1 (2 (3)) 4 (5 6) %  )
    '(1 (2 (3)) 4 (5 6) 7 8) ) ; => nil

(f2 '(1 (2 (3)) 4 (?% x (5 6) (z w)) 7 8)                                   ; ?%
    '(1 (2 (3)) 4 (5 6)              7 8) ) ; => t
(f2 '(1 (2 (3)) (?% 3 E T) (5 6) 7 8)
    '(1 (2 (3)) 4          (5 6) 7 8) ) ; => nil

(f2 '(~ (2 (3 ~ )) ~ (5 ~) ~ ~ ~ 8 ~ ~)                                     ;  ~
    '(1 (2 (3   )) 4 (5 6)     7 8    ) ) ; => t
(f2 '(~ (2 (3 ~ )) ~ (5 ~) ~ ~ ~ WWW ~ ~)
    '(1 (2 (3   )) 4 (5 6)       7 8    ) ) ; => nil

(f2 '(1 (2 (3)) 4 (5 6) ~ 7 (?~ 8 k l m n))                                 ; ?~
    '(1 (2 (3)) 4 (5 6)   7 8             ) ) ; => t
(f2 '(1 (2 (3)) 4 (5 (?~ q k l m n)) 7 ~ 8)
    '(1 (2 (3)) 4 (5 6             ) 7   8) ) ; => nil
