;;   Cration de trois objets arbitraires avec commentaires descriptifs, comme
;; point de dpart de dmonstrations.
;$   Erzeugung von vier beliebigen Objekten mit erklrenden Kommentaren, als
;$ Ausgangspunkt fr Demonstrationen.
;+   Creation of four arbitraty objects with descriptive comments, as starting
;+ point for demonstrations.

(crobjet '( (09 . 3) (01 . 4) (04 . 4) ) :nom 'arpg-77
                                         :commentaire "arpege de LA majeur" )
(crobjet '( (11 . 3) (00 . 5) (06 . 4)
            (05 . 4) (10 . 4) (09 . 3) ) :nom 'melo-12
                                         :commentaire "melodie" )
(crobjet '( (00 . 3) (01 . 2) (03 . 4)
            (04 . 2) (05 . 3) (06 . 1) ) :commentaire "chromatique 1" )
(crobjet '( (01 . 4) (00 . 1) (11 . 2)
            (10 . 2) (09 . 5) (08 . 3) )
                                         :commentaire "chromatique 2" ) 

;;   Impression de la liste des objets de dpart.
;$   Ausgabe einer Liste der Startobjekte.
;+   Printout of the list of starting objects.

(format t "~%;*les_objets* => ~A~%" *les_objets*)

;;   Impression des P-listes -- commentaires -- de tous les objets de dpart.
;$   Ausgabe der P-Liste -- Kommentare -- aller Startobjekte.
;+   Printout of the P-lists--comments--of all starting objects.

(apply
  (lambda (liste)
    (labels ((interne (li)
              (if (endp li) 'ok
              (progn (format t ";(symbol-plist '~A) => ~S~%"
	                       (car li) (symbol-plist (car li)))
                     (interne (cdr li))))))
      (interne liste))) (list (reverse *les_objets*)))
